curl --request DELETE \
--url https://sandbox.tight.com/v6/timeTracking/times/{id} \
--header 'Authorization: Bearer <token>'{
"result": "SUCCESS",
"data": {
"id": "tme_28868401",
"date": "2024-03-15",
"status": "ACTIVE",
"duration": 3600000,
"task": {
"id": "tmt_28868401",
"description": "Development work"
},
"description": "Worked on feature implementation",
"notes": "Additional context about the work",
"invoice": {
"id": "<string>",
"name": "<string>",
"date": "2023-12-25",
"lineItems": [
{
"id": "ili_123456",
"amount": 5001
}
]
},
"customer": {
"id": "cus_4852707",
"name": "Abigail Adams",
"email": "abigail@tight.com"
},
"classSegments": [
{
"id": "cls_593051",
"label": {
"id": "cll_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Mid-Atlantic",
"child": {
"id": "cls_593052",
"label": {
"id": "cll_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Washington DC",
"child": "<unknown>"
}
}
],
"employee": {
"id": "emp_12345",
"firstName": "John",
"lastName": "Doe",
"email": "employee@example.com"
},
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
}Delete a time tracking entry for the given id
curl --request DELETE \
--url https://sandbox.tight.com/v6/timeTracking/times/{id} \
--header 'Authorization: Bearer <token>'{
"result": "SUCCESS",
"data": {
"id": "tme_28868401",
"date": "2024-03-15",
"status": "ACTIVE",
"duration": 3600000,
"task": {
"id": "tmt_28868401",
"description": "Development work"
},
"description": "Worked on feature implementation",
"notes": "Additional context about the work",
"invoice": {
"id": "<string>",
"name": "<string>",
"date": "2023-12-25",
"lineItems": [
{
"id": "ili_123456",
"amount": 5001
}
]
},
"customer": {
"id": "cus_4852707",
"name": "Abigail Adams",
"email": "abigail@tight.com"
},
"classSegments": [
{
"id": "cls_593051",
"label": {
"id": "cll_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Mid-Atlantic",
"child": {
"id": "cls_593052",
"label": {
"id": "cll_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Washington DC",
"child": "<unknown>"
}
}
],
"employee": {
"id": "emp_12345",
"firstName": "John",
"lastName": "Doe",
"email": "employee@example.com"
},
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
}Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
The id of the time entry